# 
# $Id$
# 
# [ Description ]
# 
# Makefile
# 
# DIR_MORPHEO must be defined

Behavioural			= yes

ifndef Common
include $(DIR_MORPHEO)/Common/Makefile.deps
endif

#-----[ Directory ]----------------------------------------

Behavioural_DIR                 =       $(DIR_MORPHEO)/Behavioural

#-----[ Library ]------------------------------------------

Behavioural_LIBRARY		= 	-lBehavioural	\
					-lCommon					

Behavioural_DIR_LIBRARY		=	-L$(Behavioural_DIR)/lib	\
					-L$(Common_DIR)/lib

#-----[ Rules ]--------------------------------------------

Behavioural_library		:
				@\
				$(MAKE) Common_library;		\
				$(MAKE) --directory=$(Behavioural_DIR) 	--makefile=Makefile;

Behavioural_library_clean	:
				@\
				$(MAKE) Common_library_clean;	\
				$(MAKE) --directory=$(Behavioural_DIR) 	--makefile=Makefile clean;
